We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8554 - Spanish translation problem in author metadata
Spanish translation problem in author metadata
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Localization
2.4.5
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-07 06:58 PST by Carlos Cesar Caballero Diaz
Modified: 2014-09-12 08:18 PDT (History)
4 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Cesar Caballero Diaz 2014-02-07 06:58:31 PST
The "Affiliation" record is translated as "Empresa", it should be "Institución", because "Empresa" should be: "Unit organization dedicated to industrial, commercial or service provision for profit".

The "Bio Statement" record is translated as "Biografia", it should be "Resumen biográfico" or "Resumen del curriculum", because "Biografia" is a more general term.
Comment 1 Clinton Graham 2014-08-19 08:35:55 PDT
Is there opportunity to evaluate this request in the 2.4.5 translation process?
Comment 2 Alec Smecher 2014-08-19 16:03:44 PDT
James, assigning to you. Probably just needs verification with whoever is translating es_ES with respect to consistency.
Comment 3 Marc Bria 2014-08-21 03:09:07 PDT
Thanks Carlos. You are right in both cases, although first is worst than the second.

New es_ES translation fixes the first issue: lib/pkp/locale/es_ES/user.xml:	
<message key="user.affiliation">Institución</message>

Second one was not fixed but I will arrange it and report to our translator to add in their glossary.

I like your "Resumen bibliográfico" proposal.

The point it's that the second one appears in a lot of places:
lib/pkp/locale/es_ES/user.xml:	<message key="user.biography">Biografía</message>
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="B" text="Biografía e historias reales" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BG" text="Biografía: general" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGA" text="Autobiografía: general" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGB" text="Biografía: de negocios e industrias" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGBA" text="Autobiografía: de negocios e industria" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGF" text="Biografía: arte y espectáculo" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGFA" text="Autobiografía: arte y espectáculo" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGH" text="Biografía: histórica, política y militar" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGHA" text="Autobiografía: histórica, política y militar" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGL" text="Biografía: literaria" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGLA" text="Autobiografía: literaria" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGR" text="Biografía: realeza" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGRA" text="Autobiografía: realeza" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGS" text="Biografía: deporte" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGSA" text="Autobiografía: deporte" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGT" text="Biografía: ciencia, tecnología y medicina" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGTA" text="Autobiografía: ciencia, tecnología y medicina" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGX" text="Biografía: religiosa y espiritual" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BGXA" text="Autobiografía: religiosa y espiritual" />
lib/pkp/locale/es_ES/bic21subjects.xml:	<subject code="BK" text="Antologías de biografías" />
lib/pkp/locale/es_ES/reader.xml:	<message key="rt.admin.settings.authorBio">Acerca del autor/a (muestra la información sobre la biografía del autor/a introducida por el propio autor/a).</message>
locale/es_ES/locale.xml:	<message key="about.editorialTeam.biography">Biografía</message>
plugins/generic/thesis/locale/es_ES/locale.xml:	<message key="plugins.generic.thesis.manager.form.studentBio">Biografía del estudiante</message>
plugins/generic/thesis/locale/es_ES/locale.xml:	<message key="plugins.generic.thesis.form.studentBio">Biografía del estudiante</message>
plugins/importexport/native/locale/es_ES/locale.xml:	<message key="plugins.importexport.native.import.error.articleAuthorBiographyLocaleUnsupported">Se ha proporcionado una biografía de autor/a para el autor/a "{$authorFullName}" del artículo "{$articleTitle}" en el número "{$issueTitle}" en una configuración regional ("{$locale}") no admitida por esta revista.</message>
plugins/blocks/authorBios/locale/es_ES/locale.xml:	<message key="plugins.block.authorBios.displayName">Bloque de la biografía del autor/a</message>
plugins/blocks/authorBios/locale/es_ES/locale.xml:	<message key="plugins.block.authorBios.description">Este módulo muestra un bloque con biografías de los autores/as en la barra lateral de herramientas de lectura.</message>

Carlos, till I talk with the translators (after vacations) it's ok for you if I make the changes everywhere except for "bic21" literals?

BTW, Alec and James, I'm not following every bugzilla issues to thanks to forward es_ES and ca_ES translation ones.
Comment 4 Marc Bria 2014-08-21 04:28:48 PDT
Carlos, I mean "Resumen biografico", not biblio... :-P

Same changes were also made in the last ca_ES translation.
Comment 5 Marc Bria 2014-09-11 18:41:02 PDT
Fixing "Affiliation" and "Bio statement"
https://github.com/pkp/pkp-lib/commit/816a7c09581a845150dd8e29024a931250506366
Comment 6 Carlos Cesar Caballero Diaz 2014-09-12 05:44:24 PDT
Thank you Marck, I do not answered before because I was from vacations
Comment 7 James MacGregor 2014-09-12 08:18:43 PDT
closing - thanks, Marc!